using Newtonsoft.Json;

namespace SGModule.NetKit {
    public class OrderModel {
    }

    public class PayOutUserInfoData {
        [JsonProperty("email")] public string Email;
        [JsonProperty("first_name")] public string FirstName;
        [JsonProperty("last_name")] public string LastName;
    }

    public class PayerData {
        [JsonProperty("amount")] public int Amount;
        [JsonProperty("email")] public string Email;
        [JsonProperty("name")] public string Name;
        [JsonProperty("tel")] public string Tel;
    }

    public class OrderData {
        [JsonProperty("code")] public int Code;
        [JsonProperty("order_id")] public string OrderID;
        [JsonProperty("pay_url")] public string PayURL;
    }

    public class OrderState {
        [JsonProperty("order_id")] public string OrderID;
        [JsonProperty("status")] public int Status;
    }
}
